Skip to navigation

Get amendments by contract

Use this to review the change history of an EOR contract, or to find an amendment and check its status before you retrieve, update, accept or confirm it.

Token scopes: contracts:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of EOR worker contract.

Response

Amendment info. Returns the amendment flow details.
datalist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error